Bug 104270 - tcp connection to X11 not allowed
tcp connection to X11 not allowed
Status: CLOSED NOTABUG
Product: Red Hat Linux Beta
Classification: Retired
Component: gdm (Show other bugs)
beta1
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-11 17:40 EDT by Féliciano Matias
Modified: 2007-03-27 00:09 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-12 10:53:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Féliciano Matias 2003-09-11 17:40:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
Tcp connection is not allowed to X11.
My gdm setting is the default setting. That is "DisallowTCP=true" is commented
in /etc/X11/gdm/gdm.conf

This is de command line use by gdm to launch X11 :
"/usr/X11R6/bin/X :0 -auth /var/gdm/:0.Xauth -nolisten tcp vt7"

Flag "-nolisten" disallow tcp connection.

Version-Release number of selected component (if applicable):
gdm-2.4.4.0-2

How reproducible:
Always

Steps to Reproduce:
- log in into X11
- in a xterm do :
$ xhost 127.0.0.1
127.0.0.1 being added to access control list
$ DISPLAY=127.0.0.1:0.0 eog
 
(eog:25945): Gtk-WARNING **: cannot open display:
Comment 1 Féliciano Matias 2003-09-12 10:53:22 EDT
It's new "feature" in gdm (2.4.4) and it is actived in the default configuration.
gdmsetup have an option to disable this.
Sorry.

Note You need to log in before you can comment on or make changes to this bug.